#ifndef Inc_AplVarList_H
#define Inc_AplVarList_H

#include <qobject.h>
#include <qstring.h>
#include <qfile.h>
#include <qdir.h>
#include <qtextstream.h>

class AplVarList : public QObject {
	Q_OBJECT
public:
	AplVarList( QObject* qoParent, const char* cpName = 0 );
	~AplVarList() {}

	QString		qstHostListStr;
	int			iHostListCnt;
	int			iSelectedHost;
	int			iTimeoutMsec;

	bool		blSetSystemClock;

	bool		blIsAlreadyConnection;

	bool		blUpNotfy2Adjust;
	bool		blPPPstop;
	bool		blPPPstop2;
	bool		blAutoStart;
	bool		blAppAutoQuit;

	void setVarList(QString &qstHostList,int iSelected,int iTimeout,bool blNotfyAdj, bool blStop,bool blStop2,bool blStart,bool blAutoQuit);
	int getHostName(int iIndex,QString &qstHostName);
	int getDefaultHostList(QString &qstHostList);

	bool loadVarList();
	bool saveVarList();
	bool writeTrigger();

private:
	int findNextHost(QString &qstHostList,int iIndex,QString &qstHostName);

	QString		qstDefaultHostName;
	int			iDefaultHostCnt;
	int			iDefaultTimeoutMsec;

//	public slots:
//	private slots:
};

#endif	// Inc_AplVarList_H
